Subject: Re: Dash To Dock 71 not working properly with Gnome Shell 41

From: raid5atemyhomework <[email-masked]>
Date: Fri, 07 Jan 2022 06:15:52 +0000

Hello,

> Hi,
>
> Am Freitag, dem 07.01.2022 um 03:56 +0000 schrieb raid5atemyhomework:
>
> > Hello Liliana,
> > [...]
> > It may be a related bug, but this may also be unique to how Guix
> > packages both programs. So I want to know if other users on Guix are
> > seeing the same thing as well.
>
> We don't do rigorous integration tests for GNOME Shell extensions and
> to my knowledge you are the first one to report that bug.

It's probably because "Use built-in theme" is default-enabled and this bug seems to appear with this setting disabled.  Disabling the setting lets me set up some more settings for the dock which is why I prefer this setting disabled.

> > Given the default `(service gnome-desktop-service-type)`, where does
> > `gnome-shell` put its logs?
> > There are no logs for Gnome Shell specifically on `/var/log`, it does
> > not print anything in `/var/log/Xorg.0.log`, and `info guix` does not
> > describe any log output directory for `gnome-desktop-configuration`,
> > so I don't know where Gnome Shell on Guix puts its logs.  Does it
> > just get printed to console?
>
> There's your ~/.local/share/xorg logs that you haven't mentioned yet,
> but I doubt something like an extension misbehaving (i.e. not even
> raising an error that GNOME Shell detects) would end up there. I'm not
> aware of any other GNOME-specific logs and their locations, but since
> it's either /var/log or somewhere in your $HOME/.something, I don't
> think Guix would do anything to manipulate the output path. You could
> try checking for logs in GDM's home as well, which requires sudo to ls.

The github issue you linked to asks for logs as well, so presumably they print *something* on the logs that might help them.

Nothing in my normal user `~/.local/share/` has xorg in it, and `root` has no `~root/.local`.  My user has `~/.local/share/gnome-shell` but it has no logs either.  I also looked into `~/.cache` and `~/.local` for both my user and `root` -- no dice.

I don't use GDM since it keeps wanting to suspend the computer, and the computer is intended to be a fileserver and printserver, the Gnome Shell is just there for ease-of-use since the printer is a scanner/printer and you can't really remotely use the scanner usefully since you have to feed the papers to scan into it one by one anyway.

Looking at my console, flipping the "Use built-in theme" shows a bunch of error messages on the console.  Sigh.  Looks like `gnome-shell` on Guix prints its logs to console, which makes it a headache to copy-paste messages off for bug reports.

Re:

> but I doubt something like an extension misbehaving (i.e. not even
> raising an error that GNOME Shell detects) would end up there.

It's JavaScript.  If you have a browser and open its console while browsing most websites, you'll see a fair number of error messages there, even though the site may be operating perfectly well as far as you can tell --- errors don't cause a typical JavaScript application to crash because an error will just send it back to the event mainloop and it will keep on going on despite bunches of JavaScript errors.  That's why logs for `gnome-shell` are fairly vital, and it's getting thrown into the console where they are not recorded.  Sigh.  More coding to do to make Guix useful.

Thanks
raid5atemyhomework